#!/system/bin/sh
# Please don't hardcode /magisk/modname/... ; instead, please use $MODDIR/...
# This will make your scripts compatible even if Magisk change its mount point in the future
MODDIR=${0%/*}

# Set CPU frequency limits (2.2 GHz)
    echo "2200000" > /sys/devices/system/cpu/cpu*/cpufreq/scaling_max_freq
    echo "2200000" > /sys/devices/system/cpu/cpu*/cpufreq/scaling_min_freq

    # Disable thermal throttling
    echo "0" > /sys/module/cpu_boost/parameters/boost
    echo "0" > /sys/module/thermal/parameters/enable_throttle
    echo "0" > /sys/module/thermal/parameters/thermal_enable

# Set refresh rate to 120Hz
    settings put system peak_refresh_rate 120
    settings put system minimum_refresh_rate 120